Subject: Re: [dm-devel] linux-next: Tree for Feb 2 (drivers/md/dm.c)

From: Paolo Bonzini <[email-masked]>
Date: Thu, 2 Feb 2017 12:19:57 -0800

On 02/02/2017 10:44, Christoph Hellwig wrote:
> ec8013bedd ("dm: do not forward ioctls from logical volumes to the
> underlying device"),
> 
> The trivial fix would be to add a select of the SCSI_REQUEST symbol
> to dm, but my gut feeling teels me the call is simply wrong, and
> should be removed and instead all ioctls on DM devices that don't
> map to a full underlying devices should be rejected.

I would certainly be fine with that.  It would not be surprising if
something broke, but a middle ground could be to allow all ioctls if you
have CAP_SYS_RAWIO and none if you don't.

Paolo